View Issue Details

IDProjectCategoryView StatusLast Update
00005352 - Next Dev List (Holding Area)Bugpublic2019-06-06 14:07
ReporterW4PCAssigned ToK7ZCZ 
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
PlatformPCOSWindows 7OS Version64-bit Pro
Summary0000535: Macro Sets do not retain associated file name
DescriptionIf you have a macro set saved in a file, that file name is not retained when you save the macro set again.

Macro sets should retain the filename in which they were created/saved.
Steps To ReproduceLoad a macro set, then save it.
TagsNo tags attached.
ModuleDM780
Sub-ModuleMacros
TestingNot Started

Relationships

has duplicate 0002684 new 1 - Backlog Ticket #963988 - Macro File Name Discrepancy When Saving Custom Macros 
child of 0001566 confirmed 1 - Backlog Macro issues (parent) 

Activities

n4kit

2017-08-18 08:10

developer   ~0004023

Insufficient repro steps to be able replicate.
Entered by W4PC and original reporter is unknown so cannot contact for additional information.
I do note however that when you do File>SaveAs and save to a new filename, the macro definitions are saved to the new filename and also to DMMacroDefns.xml in the ...{user}\AppData\HRDLLC\Digital Master 780 folder. For this reason, on program start, it is unclear if the DMMacroDefns.xml or the user's custom saved definitions file is being loaded.
I would appear that if a user loads a completely different set of macros from a custom file, the users DMMacroDefns.xml is being overwritten with the new definitions.

g3ucq

2018-06-24 03:58

updater   ~0005418

I saved my Macros to a different name but that did not overwrite the default DMMacroDEFns.xml file.
I loaded both both files and they are different. I closed DM780 and then opened DM780 which used my custom Macros as before.

K7ZCZ

2019-06-06 13:34

administrator   ~0008005

The notes from N4KIT and G3UCQ seem to indicate this issue doesn't happen any more.

At the very least, this issue would benefit from clear repro steps and a solid description of the problem.

g3ucq

2019-06-06 14:07

updater   ~0008011

I edited my macros and saved my macros to a different name.
That did not overwrite the default macros.
Both definitions loaded as expected.
I was asked if I wanted to overwrite the default definition.
I selected Yes and then the default was over written with my test macro settings.
I was able to recover to my default settings in the Macro Manager.
No problem for me.

Issue History

Date Modified Username Field Change
2013-12-21 18:56 W4PC New Issue
2013-12-21 18:58 W4PC Project 2 - Next Dev List (Holding Area) => @5@
2014-02-01 01:39 WA9PIE Relationship added child of 0001566
2014-02-01 01:43 WA9PIE Release => (select)
2014-02-01 01:43 WA9PIE Module => (select)
2014-02-01 01:43 WA9PIE Sub-Module => (select)
2014-02-01 01:43 WA9PIE Report Build => (select)
2014-02-01 01:43 WA9PIE Status new => acknowledged
2014-02-02 14:29 WA9PIE Summary Macro Sets do not retain associated file name => Bug: Macro Sets do not retain associated file name
2015-09-17 13:06 WA9PIE Module (select) => DM780
2015-09-17 13:17 WA9PIE Category DM-780 => Bug
2015-09-17 13:19 WA9PIE Project @5@ => 1 - Backlog
2015-09-29 16:09 WA9PIE Fix Build => (select)
2015-09-29 16:09 WA9PIE Summary Bug: Macro Sets do not retain associated file name => Macro Sets do not retain associated file name
2017-08-18 08:10 n4kit Note Added: 0004023
2017-08-18 08:11 n4kit Status acknowledged => feedback
2017-08-18 08:11 n4kit Sub-Module (select) => Macros
2018-06-23 23:42 WA9PIE Project 1 - Backlog => Issues Needing Retest
2018-06-24 03:58 g3ucq Note Added: 0005418
2019-02-05 22:33 WA9PIE Project Issues Needing Retest => 2 - Next Dev List (Holding Area)
2019-06-06 13:34 K7ZCZ Assigned To => K7ZCZ
2019-06-06 13:34 K7ZCZ Status feedback => resolved
2019-06-06 13:34 K7ZCZ Resolution open => fixed
2019-06-06 13:34 K7ZCZ Testing => Not Started
2019-06-06 13:34 K7ZCZ Note Added: 0008005
2019-06-06 13:42 K7ZCZ Relationship added has duplicate 0002684
2019-06-06 14:07 g3ucq Note Added: 0008011